package object

import (
	objectSDK "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/object"
	oid "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/object/id"
)

// AddressOf returns the address of the object.
func AddressOf(obj *objectSDK.Object) oid.Address {
	var addr oid.Address

	id, ok := obj.ID()
	if ok {
		addr.SetObject(id)
	}

	cnr, ok := obj.ContainerID()
	if ok {
		addr.SetContainer(cnr)
	}

	return addr
}
